> ## Documentation Index
> Fetch the complete documentation index at: https://docs.khaime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription

> Get details of a specific subscription.

# Get Subscription

Retrieve detailed information about a specific subscription.

## Path Parameters

<ParamField path="subscription_id" type="string" required>
  The subscription ID.
</ParamField>

## Response

```json theme={null}
{
  "success": true,
  "data": {
    "id": "sub_abc123",
    "product_id": 3046,
    "customer_email": "jane@example.com",
    "amount": 4999,
    "currency": "USD",
    "frequency": "monthly",
    "status": "active",
    "next_payment_date": "2026-02-16T21:05:00.000Z",
    "created_at": "2026-01-16T21:05:00.000Z",
    "payment_history": []
  }
}
```

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.khaime.com/api/v1/partner/subscriptions/sub_abc123 \
    -H "X-API-Key: pk_sandbox_your_key"
  ```
</RequestExample>
